Bug 242463 - mkinitrd checks only modules.conf.
mkinitrd checks only modules.conf.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.2
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 08:51 EDT by Johan Huysmans
Modified: 2011-07-27 14:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 564392 (view as bug list)
Environment:
Last Closed: 2011-07-27 14:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Huysmans 2007-06-04 08:51:37 EDT
Description of problem:
The mkinitrd script will only check the modules.conf file for needed modules. If
this file has includes defined they WONT be checked. Also if a modprobe.d
directory exists it WONT be checked


Version-Release number of selected component (if applicable):
mkinitrd-4.2.1.6-1

How reproducible:
use includes in the modprobe.conf or use modprobe.d
  
Actual results:
scsi_hostadapter entries in the included files or modprobe.d files aren't
included in the created initrd.

Expected results:
That the listed modules are included in the new initrd
Comment 1 Johan Huysmans 2007-07-17 05:38:17 EDT
I want to implement this myself, but i need some info about the functionality
and the expected behavior.
like: check modprobe.d only when modprobe.conf doesn't exists or also when it
exists, ...
Comment 2 Buck Huppmann 2010-02-12 10:56:44 EST
(In reply to comment #1)
> I want to implement this myself, but i need some info about the functionality
> and the expected behavior.
> like: check modprobe.d only when modprobe.conf doesn't exists or also when it
> exists, ...    

this is the same as Fedora bz 457870, which it says was closed as of Fedora 11,
so you can grab the mkinitrd out of a Fedora 11 distribution

but i vote for backporting this from Fedora, pretty please

i'll try adding a BZ for RHEL 5

Note You need to log in before you can comment on or make changes to this bug.